Page MenuHomeFreeBSD

sysutils/intel-nvmupdate: Update to 6.01
ClosedPublic

Authored by kozlov.sergey.404_gmail.com on Aug 31 2017, 2:28 PM.

Details

Summary
WARNING: Must be committed after D12179
  • Bumped DISTVERSION
  • Removed PORTREVISION
  • Added NO_ARCH as this is a binary distribution for all the supported FreeBSD versions
  • Added NO_ARCH_IGNORE to make poudriere happy
  • Re-generated distinfo
  • Re-generated pkg-plist
Test Plan

Poudriere test build:

Touch-tested on:
Hardware: X710-DA4
OS:

  • 10.4-RELEASE
  • 11.1-RELEASE

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kozlov.sergey.404_gmail.com planned changes to this revision.Aug 31 2017, 3:40 PM

Needs additional testing.

sbruno requested changes to this revision.Nov 10 2017, 1:26 AM

bump. What's up here?

kozlov.sergey.404_gmail.com edited the summary of this revision. (Show Details)
kozlov.sergey.404_gmail.com edited the test plan for this revision. (Show Details)

Updated to a newer, silently updated version. Ready for review.

Odd, I get a wierd chmod error on FreeBSD 10 when building this port. On 11/12 it builds fine:

=======================<phase: check-sanity   >============================
===>  License IFL IPL accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   intel-nvmupdate-6.01 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.10.1.txz
[10amd64-default-job-01] Installing pkg-1.10.1...
[10amd64-default-job-01] Extracting pkg-1.10.1: .......... done
===>   intel-nvmupdate-6.01 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of intel-nvmupdate-6.01
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License IFL IPL accepted by the user
===> Fetching all distfiles required by intel-nvmupdate-6.01 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License IFL IPL accepted by the user
===> Fetching all distfiles required by intel-nvmupdate-6.01 for building
=> SHA256 Checksum OK for XL710_NVMUpdatePackage_v6_01_FreeBSD.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License IFL IPL accepted by the user
===> Fetching all distfiles required by intel-nvmupdate-6.01 for building
===>  Extracting for intel-nvmupdate-6.01
=> SHA256 Checksum OK for XL710_NVMUpdatePackage_v6_01_FreeBSD.tar.gz.
chmod: /wrkdirs/usr/ports/sysutils/intel-nvmupdate/work/XL710/FreeBSDx64: Permission denied
chmod: /wrkdirs/usr/ports/sysutils/intel-nvmupdate/work/XL710: Permission denied
*** Error code 1

Stop.
make: stopped in /usr/ports/sysutils/intel-nvmupdate
=>> Cleaning up wrkdir
===>  Cleaning for intel-nvmupdate-6.01
build of sysutils/intel-nvmupdate | intel-nvmupdate-6.01 ended at Tue Nov 14 12:34:53 MST 2017
build time: 00:00:03
!!! build failure encountered !!!

looking at the packages from Intel Download Center, I think this is a tool build issue. It looks like file permissions changed between 5.05 and 6.01. In 5.05 the directory structure for nvmupdate is 755, but in 6.01 it is 644, which for some reason 10 doesn't like.

kozlov.sergey.404_gmail.com planned changes to this revision.Nov 15 2017, 1:05 PM

I was able to reproduce the build issue as well using poudriere 3.2.
The inconsistency in behavior is caused by this commit, which is in 11, but not in 10: https://svnweb.freebsd.org/base?view=revision&revision=283997
After the distfile is unpacked - extract-fixup-modes target from bsd.port.mk tries to fix the permissions on the directories, but on 10 it does that only for the top level directory, so it can't look into the inner one.

I'm in the process of figuring put a correct fix for that.

kozlov.sergey.404_gmail.com edited the test plan for this revision. (Show Details)

This seems ugly to me, but that's the only way it works. ${CHMOD} -R doesn't do the right thing on 10.

swills accepted this revision.Nov 16 2017, 4:50 PM

LGTM

sysutils/intel-nvmupdate/Makefile
42–46 ↗(On Diff #35284)

This wasn't necessary for me, I had no issue building on 10.3 amd64, but I guess it's harmless.

sysutils/intel-nvmupdate/Makefile
42–46 ↗(On Diff #35284)

This is only required when building as a user,

sbruno accepted this revision.Nov 16 2017, 7:22 PM

Yep, looks good. Thanks!

This revision is now accepted and ready to land.Nov 16 2017, 7:22 PM
This revision was automatically updated to reflect the committed changes.